Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zheevd

scipy.linalg.lapack.zheevd(a[, compute_v, lower, lwork, liwork, lrwork, overwrite_a]) = <fortran function zheevd>

  Wrapper for `zheevd`.

  Parameters:
    a input rank-2 array(‘D’) with bounds (n,n)
  Returns:
    w rank-1 array(‘d’) with bounds (n)
    v rank-2 array(‘D’) with bounds (n,n) and a storage
    info int
  Other Parameters:
    compute_v input int, optional

      Default: 1

    lower input int, optional

      Default: 0

    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max((compute_v?2*n+n*n:n+1),1)

    liwork input int, optional

      Default: (compute_v?3+5*n:1)

    lrwork input int, optional

      Default: (compute_v?1+5*n+2*n*n:n)